summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-09-18 19:35:06 +0000
committer Eric Hameleers <alien@slackware.com>2013-09-18 19:35:06 +0000
commitab3a0590b302b00a6bdec12d802d8091f288ff21 (patch)
tree4840deade902e80487eb3672ec6067e122d45cfa
parentc3ce204aee764cec6e24b03187c2f32942f5b6c9 (diff)
downloadmultilib-ab3a0590b302b00a6bdec12d802d8091f288ff21.tar.gz
multilib-ab3a0590b302b00a6bdec12d802d8091f288ff21.tar.xz
Updated with new zoneinfo database creation; also provide patch for CVE-2013-4332
-rwxr-xr-x14.0/glibc/glibc-multilib.SlackBuild47
1 files changed, 29 insertions, 18 deletions
diff --git a/14.0/glibc/glibc-multilib.SlackBuild b/14.0/glibc/glibc-multilib.SlackBuild
index 442f740..f36f62c 100755
--- a/14.0/glibc/glibc-multilib.SlackBuild
+++ b/14.0/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.15}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-7alien}
+BUILD=${BUILD:-8alien}
## Included in glibc now:
## glibc-libidn version
@@ -207,27 +207,19 @@ apply_patches() {
zcat $CWD/glibc-2.15-revert-c5a0802a.diff.gz | patch -p1 --verbose || exit 1
# Patch integer overflows in strtod*() functions:
zcat $CWD/glibc.strtod.CVE-2012-3480.diff.gz | patch -p1 --verbose || exit 1
+ # Fix check for AVX opcodes. The previous check was broken on Xen, causing
+ # the kernel to panic.
+ zcat $CWD/glibc-2.15_avx1.diff.gz | patch -p0 --verbose || exit 1
+ zcat $CWD/glibc-2.15_avx2.diff.gz | patch -p0 --verbose || exit 1
+ zcat $CWD/glibc-2.15_avx3.diff.gz | patch -p0 --verbose || exit 1
+ # Patch integer overflows in pvalloc, valloc, and
+ # posix_memalign/memalign/aligned_alloc (CVE-2013-4332).
+ zcat $CWD/glibc.CVE-2013-4332.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;
zcat $CWD/glibc.pthread-disable-forced-unwind-check.diff.gz | patch -p1 --verbose || exit 1
fi
- # Update the timezone information.
- ( cd timezone
- tar xzf $CWD/tzdata?????.tar.gz
- chown root:root *
- mv yearistype.sh yearistype
- chmod 644 *
- chmod 755 yearistype
- mkdir tzcode
- cd tzcode
- tar xzf $CWD/tzcode?????.tar.gz
- # A partial build is needed here to update TZVERSION in version.h:
- make -i
- chown -R root:root .
- chmod 644 *
- cp -a *.c *.h ..
- )
}
# This is going to be the initial $DESTDIR:
@@ -367,6 +359,25 @@ strip -g $PKG/lib${LIBDIRSUFFIX}/l*.so*
strip -g $PKG/usr/lib${LIBDIRSUFFIX}/l*.so*
strip -g $PKG/usr/lib${LIBDIRSUFFIX}/lib*.a
+# Build and install the zoneinfo database:
+cd $TMP
+rm -rf tzcodedata-build
+mkdir tzcodedata-build
+cd tzcodedata-build
+tar xzf $CWD/tzdata?????.tar.gz
+tar xzf $CWD/tzcode?????.tar.gz
+sed -i "s,/usr/local,$(pwd),g" Makefile
+sed -i "s,/etc/zoneinfo,/zoneinfo,g" Makefile
+make
+make install
+mkdir -p $PKG/usr/share/zoneinfo/{posix,right}
+cp -a zoneinfo/* $PKG/usr/share/zoneinfo
+cp -a zoneinfo-posix/* $PKG/usr/share/zoneinfo/posix
+cp -a zoneinfo-leaps/* $PKG/usr/share/zoneinfo/right
+# Remove $PKG/usr/share/zoneinfo/localtime -- the install script will
+# create it as a link to /etc/localtime.
+rm -f $PKG/usr/share/zoneinfo/localtime
+
# Back to the sources dir to add some files/docs:
cd $TMP/glibc-$CVSVER